lpoptions(1)

NAME
lpoptions - zeigt oder setzt Druckeroptionen und -voreinstellungen

SYNOPSIS
lpoptions [ -E ] [ -h Server[:Port] ] -d Ziel[//Instanz] [ -l ]
lpoptions [ -E ] [ -h Server[:Port] ] [ -p Ziel[//Instanz] ] -o Option[=Wert] …
lpoptions [ -E ] [ -h Server[:Port] ] [ -p Ziel[//Instanz] ] -r Option
lpoptions [ -E ] [ -h Server[:Port] ] -x Ziel[//Instanz]

BESCHREIBUNG
lpoptions zeigt oder setzt die Druckeroptionen und Vorgaben. Falls kein Drucker mit der Option -p angegeben ist, wird der Vorgabedrucker, wie in lp(1) beschrieben, verwandt.

Falls die Optionen -l, -o oder -r nicht angegeben sind, werden die aktuellen Optionen auf der Standardausgabe berichtet.

Optionen, die mit dem Befehl lpoptions gesetzt werden, werden von den Befehlen lp(1) und lpr(1) beim Einreichen von Druckaufträgen verwandt.

Wenn lpoptions vom Benutzer »root« ausgeführt wird, erhält und setzt es Optionen und Instanzen für alle Benutzer in der Datei /etc/cups/lpoptions. Andernfalls werden die benutzerspezifischen Vorgaben in der Datei ~/.cups/lpoptions verwaltet.

OPTIONEN
lpoptions unterstützt die folgenden Optionen:

-E  Aktiviert Verschlüsselung für die Kommunikation mit dem CUPS-Server.

-d Ziel[//Instanz]
    Setzt den Benutzer-Standarddrucker auf Ziel. Falls Instanz angegeben ist, wird diese benutzt. Diese Option überschreibt den System-Standarddrucker für den aktuellen Benutzer.

-h Server[:Port]
    Verwendet einen alternativen Server.

-l  Listet die druckerspezifischen Optionen und ihre aktuellen Einstellungen auf.

-o Option[=Wert]
    Legt eine neue Option für das benannte Ziel fest.

-p Ziel[//Instanz]
    Setzt das Ziel und die Instanz, falls angegeben, für jede folgende Option. Falls die benannte Instanz nicht existiert, wird sie erstellt. Ziele können nur mit dem Programm lpadmin(8) erstellt werden.

-r Option
    Entfernt die festgelegte Option aus dem benannten Ziel.

-x Ziel[//Instanz]
    Entfernt die Optionen für die benannten Ziele und Instanzen, falls angegeben. Falls die benannte Instanz nicht existiert, passiert nichts. Ziele können nur mit dem Befehl lpadmin(8) entfernt werden.

DATEIEN
~/.cups/lpoptions - Benutzervorgaben und von Nicht-Root-Benutzern erstellte Instanzen.
/etc/cups/lpoptions - systemweite Vorgaben und Instanzen, die vom Root-Benutzer erstellt wurden.

KONFORMITÄT
Der Befehl lpoptions ist eine Besonderheit von CUPS.

SIEHE AUCH
cancel(1), lp(1), lpadmin(8), lpr(1), lprm(1), CUPS-Online-Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2022 by OpenPrinting.